Bug 222477

Summary: cad/openvsp: update to 3.13.3
Product: Ports & Packages Reporter: Fernando Apesteguía <fernape>
Component: Individual Port(s)Assignee: Raphael Kubo da Costa <rakuco>
Status: Closed FIXED    
Severity: Affects Only Me CC: rakuco
Priority: ---    
Version: Latest   
Hardware: Any   
OS: Any   
URL: http://openvsp.org/blogs/announcements/2017/09/16/openvsp-3-13-3-released
Attachments:
Description Flags
patch to the ports tree fernape: maintainer-approval+

Description Fernando Apesteguía freebsd_committer 2017-09-20 17:02:45 UTC
Created attachment 186573 [details]
patch to the ports tree

The attached patch updates cad/openvsp to the last release 3.13.3.

From the announcement mail:

Features:
 - VSPAERO 4.2
  . Vortex lift model / leading edge suction model integrated.
 - DegenGeom enhancements
  . LE radius, thickness, and location from curve not mesh
  . Handle prop like wing in DegenGeom
 - Change Prop blade duplication to speed updates
 - Add invert airfoil for VKT airfoils
 - Add UpdateGeom to API to facilitate rel vs. abs positioning in scripts
 - Allow control surfaces to be in multiple groups
 - 'AJ' usability improvments / fixes
  . Edit min/max value of User Parms
  . User Parm adjust screen wider for long names
  . Advanced link screen wider for long names
  . Fix odd _0 appended to user parm group names
  . Sort and divide user parm adjust tab by group
  . Clarify parm linking GUI
  . Sort parm links

Bug Fixes:
 - VSPAERO 4.2
  . Ground effect, wakes and CG location
  . Various updates and fixes in viewer
  . Control surface fixes - multiple controls on a single wing
  . Large control surface deflection improvements
  . Changed calculation of CpMin
 - BOR diameter was radius
 - Make BOR parms linkable
 - Initial position of children of hinges
 - Parasite drag crashing with blanks
 - Cf equation inputs and defaults
 - Cf calculation for mixed laminar/turbulent flow

Q/A
 - portlint -AC: OK
 - poudriere builds for {10.3,11.0,11.1}{amd64,i386}: OK
Comment 1 Fernando Apesteguía freebsd_committer 2017-10-01 19:55:14 UTC
Last change to the summary not only doesn't improve this PR, but it is also wrong:

http://lmgtfy.com/?q=capitalization+after+semicolon
Comment 2 Fernando Apesteguía freebsd_committer 2017-10-02 05:38:02 UTC
Proper link: http://lmgtfy.com/?q=capitalization+after+colon
Comment 3 Fernando Apesteguía freebsd_committer 2017-10-04 09:39:04 UTC
More testing.

Q/A:
 - poudriere builds for 10.4 {amd64,i386}: OK
Comment 4 commit-hook freebsd_committer 2017-10-08 20:58:41 UTC
A commit references this bug:

Author: rakuco
Date: Sun Oct  8 20:58:09 UTC 2017
New revision: 451576
URL: https://svnweb.freebsd.org/changeset/ports/451576

Log:
  Update to 3.13.3.

  Changes: http://openvsp.org/blogs/announcements/2017/09/16/openvsp-3-13-3-released

  PR:		222477
  Submitted by:	fernando.apesteguia@gmail.com (maintainer)

Changes:
  head/cad/openvsp/Makefile
  head/cad/openvsp/distinfo
Comment 5 Raphael Kubo da Costa freebsd_committer 2017-10-08 20:58:59 UTC
Committed, thanks.